<template>
  <div id="chart-platform" style="height: 150px"></div>
</template>

<script>
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
am4core.useTheme(am4themes_animated);

export default {
  mounted() {
    this.createChartPlatforms();
  },
  methods: {
    createChartPlatforms() {
      var chartPlatforms = am4core.create("chart-platform", am4charts.PieChart);
      chartPlatforms.data = [
        {
          platform: "Android",
          percentage: 501.9,
        },
        {
          platform: "IOs",
          percentage: 301.9,
        },
      ];

      var pieSeries = chartPlatforms.series.push(new am4charts.PieSeries());
      pieSeries.dataFields.value = "percentage";
      pieSeries.dataFields.category = "platform";
      chartPlatforms.innerRadius = am4core.percent(50);
      pieSeries.labels.template.disabled = true;
      pieSeries.ticks.template.disabled = true;
      chartPlatforms.legend = new am4charts.Legend();
      chartPlatforms.legend.position = "right";
      chartPlatforms.legend.fontSize = "10px";
    },
  },

  beforeDestroy() {
    if (this.chartPlatforms) {
      this.chartPlatforms.dispose();
    }
  },
};
</script>
